SSIFilter (Tomcat API Documentation)
Keywords: org.apache.catalina.ssi.SSIFilter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ssi
Class SSIFilter

    java.lang.Object
      org.apache.catalina.ssi.SSIFilter

All Implemented Interfaces:
  javax.servlet.Filter

    public class SSIFilter

extends java.lang.Object
implements javax.servlet.Filter

Filter to process SSI requests within a webpage. Mapped to a content types from within web.xml.

Version:
  $Revision: 531303 $, $Date: 2007-04-23 02:24:01 +0200 (Mon, 23 Apr 2007) $
Author:
  David Becker
See Also:
  `SSIServlet`

Field Summary
`protected javax.servlet.FilterConfig` | `config`
`protected java.util.regex.Pattern` | `contentTypeRegEx` regex pattern to match when evaluating content types
`protected int` | `debug` Debug level for this servlet.
`protected java.lang.Long` | `expires` Expiration time in seconds for the doc.
`protected boolean` | `isVirtualWebappRelative` virtual path can be webapp-relative
`protected java.util.regex.Pattern` | `shtmlRegEx` default pattern for ssi filter content type matching

Constructor Summary
`SSIFilter()`

Method Summary
`void` | `destroy()` Called by the web container to indicate to a filter that it is being taken out of service.
`void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)` The `doFilter` method of the Filter is called by the container each time a request/response pair is passed through the chain due to a client request for a resource at the end of the chain.
`void` | `init(javax.servlet.FilterConfig config)` Initialize this servlet.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### config

    protected javax.servlet.FilterConfig config

### debug

    protected int debug

  Debug level for this servlet.

### expires

    protected java.lang.Long expires

  Expiration time in seconds for the doc.

### isVirtualWebappRelative

    protected boolean isVirtualWebappRelative

  virtual path can be webapp-relative

### contentTypeRegEx

    protected java.util.regex.Pattern contentTypeRegEx

  regex pattern to match when evaluating content types

### shtmlRegEx

    protected java.util.regex.Pattern shtmlRegEx

  default pattern for ssi filter content type matching

Constructor Detail

### SSIFilter

    public SSIFilter()

Method Detail

### init

    public void init(javax.servlet.FilterConfig config)
              throws javax.servlet.ServletException

  Initialize this servlet.

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws:
    `javax.servlet.ServletException` - if an error occurs

### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Description copied from interface: `javax.servlet.Filter`
  The `doFilter` method of the Filter is called by the container each time a request/response pair is passed through the chain due to a client request for a resource at the end of the chain. The FilterChain passed in to this method allows the Filter to pass on the request and response to the next entity in the chain.

  A typical implementation of this method would follow the following pattern:-
  1. Examine the request
  2. Optionally wrap the request object with a custom implementation to filter content or headers for input filtering
  3. Optionally wrap the response object with a custom implementation to filter content or headers for output filtering
  4. a) Either invoke the next entity in the chain using the FilterChain object (`chain.doFilter()`),
  4. b) or not pass on the request/response pair to the next entity in the filter chain to block the request processing
  5. Directly set headers on the response after invocation of the next entity in the filter chain.

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Description copied from interface: `javax.servlet.Filter`
  Called by the web container to indicate to a filter that it is being taken out of service. This method is only called once all threads within the filter's doFilter method have exited or after a timeout period has passed. After the web container calls this method, it will not call the doFilter method again on this instance of the filter.
  This method gives the filter an opportunity to clean up any resources that are being held (for example, memory, file handles, threads) and make sure that any persistent state is synchronized with the filter's current state in memory.

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.